$(document).ready(function() {

    /*************CFG*/
    var lineWidth = 244;
    var frameTime = [];
    frameTime[1] = 2500;
    frameTime[2] = 2500;
    frameTime[3] = 2500;
    frameTime[4] = 2500;
    
    var realFrameTime = frameTime[1];
    /***************/

    $('.ppt li:gt(0)').hide();
    $('.ppt li:last').addClass('last');
    $('.ppt li:first').addClass('first');
    showPlay();

    var cur = $('.ppt li:first');
    var action = '';
    var selected = 0;

    function showPause() {
        $('#play').hide();
        $('#stop').show();
    }

    function showPlay() {
        $('#stop').hide();
        $('#play').show();
    }

    
    
    $("#stop").click(function() {
        $("#progress_full").stop();
        realFrameTime = frameTime[$(cur).index('.ppt li') + 1] / lineWidth * (lineWidth * ($(cur).index('.ppt li') + 1) - $("#progress_full").width());
        action = 'stoped';
        showPlay();
    });

    $("#play").click(function() {

        if (action === 'finished') {
            $(cur).fadeOut();
            cur = $('.ppt li:first');
            $(cur).fadeIn();
            $("#progress_full").stop().css({width: '0px'});
            action = '';
            realFrameTime = frameTime[1];
        }

        start();
        showPause();
    });

    $('.playerButton').click(function() {
        selected = this.id;
        $("#progress_full").stop().css({width: (selected-1)*lineWidth +'px'});
        showPause();
        continuePlay();
    });

    function continuePlay() {

        $(cur).fadeOut();
        if (selected > 0) {
            var selectedElement = $('.ppt li').get(selected - 1);
            cur = selectedElement;
            selected = 0;
        }
        else {
            cur = $(cur).next();
        }
        
        $(cur).fadeIn();
        start();
    }

    function start() {
        var index = $(cur).index('.ppt li') + 1;
        if (action !== 'stoped') {
            realFrameTime = frameTime[index];
        }
        else {
            action = '';
        }

        $("#progress_full").animate({width: (index * lineWidth) + 'px'}, realFrameTime, '', function() {
            if ($(cur).attr('class') !== 'last') {
                continuePlay();
            }
            else {
                action = 'finished';
                showPlay();
            }
        });
    }

    $(function() {
        //start(6000);
    });
});